RoleConfigGroupsResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class RoleConfigGroupsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.RoleConfigGroupsResourceApi

-     public class RoleConfigGroupsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleConfigGroupsResourceApi()`
    `RoleConfigGroupsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiRoleConfigGroupList` | `createRoleConfigGroups(String clusterName, String serviceName, ApiRoleConfigGroupList body)` Creates new role config groups.
    `okhttp3.Call` | `createRoleConfigGroupsAsync(String clusterName, String serviceName, ApiRoleConfigGroupList body, ApiCallback<ApiRoleConfigGroupList> callback)` Creates new role config groups.
    `okhttp3.Call` | `createRoleConfigGroupsCall(String clusterName, String serviceName, ApiRoleConfigGroupList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createRoleConfigGroups
    `ApiResponse<ApiRoleConfigGroupList>` | `createRoleConfigGroupsWithHttpInfo(String clusterName, String serviceName, ApiRoleConfigGroupList body)` Creates new role config groups.
    `ApiRoleConfigGroup` | `deleteRoleConfigGroup(String clusterName, String roleConfigGroupName, String serviceName)` Deletes a role config group.
    `okhttp3.Call` | `deleteRoleConfigGroupAsync(String clusterName, String roleConfigGroupName, String serviceName, ApiCallback<ApiRoleConfigGroup> callback)` Deletes a role config group.
    `okhttp3.Call` | `deleteRoleConfigGroupCall(String clusterName, String roleConfigGroupName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteRoleConfigGroup
    `ApiResponse<ApiRoleConfigGroup>` | `deleteRoleConfigGroupWithHttpInfo(String clusterName, String roleConfigGroupName, String serviceName)` Deletes a role config group.
    `ApiClient` | `getApiClient()`
    `ApiRoleList` | `moveRoles(String clusterName, String roleConfigGroupName, String serviceName, ApiRoleNameList body)` Moves roles to the specified role config group.
    `okhttp3.Call` | `moveRolesAsync(String clusterName, String roleConfigGroupName, String serviceName, ApiRoleNameList body, ApiCallback<ApiRoleList> callback)` Moves roles to the specified role config group.
    `okhttp3.Call` | `moveRolesCall(String clusterName, String roleConfigGroupName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for moveRoles
    `ApiRoleList` | `moveRolesToBaseGroup(String clusterName, String serviceName, ApiRoleNameList body)` Moves roles to the base role config group.
    `okhttp3.Call` | `moveRolesToBaseGroupAsync(String clusterName, String serviceName, ApiRoleNameList body, ApiCallback<ApiRoleList> callback)` Moves roles to the base role config group.
    `okhttp3.Call` | `moveRolesToBaseGroupCall(String clusterName, String serviceName, ApiRoleNameList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for moveRolesToBaseGroup
    `ApiResponse<ApiRoleList>` | `moveRolesToBaseGroupWithHttpInfo(String clusterName, String serviceName, ApiRoleNameList body)` Moves roles to the base role config group.
    `ApiResponse<ApiRoleList>` | `moveRolesWithHttpInfo(String clusterName, String roleConfigGroupName, String serviceName, ApiRoleNameList body)` Moves roles to the specified role config group.
    `ApiConfigList` | `readConfig(String clusterName, String roleConfigGroupName, String serviceName, String view)` Returns the current revision of the config for the specified role config group.
    `okhttp3.Call` | `readConfigAsync(String clusterName, String roleConfigGroupName, String serviceName, String view, ApiCallback<ApiConfigList> callback)` Returns the current revision of the config for the specified role config group.
    `okhttp3.Call` | `readConfigCall(String clusterName, String roleConfigGroupName, String serviceName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readConfig
    `ApiResponse<ApiConfigList>` | `readConfigWithHttpInfo(String clusterName, String roleConfigGroupName, String serviceName, String view)` Returns the current revision of the config for the specified role config group.
    `ApiRoleConfigGroup` | `readRoleConfigGroup(String clusterName, String roleConfigGroupName, String serviceName)` Returns the information for a role config group.
    `okhttp3.Call` | `readRoleConfigGroupAsync(String clusterName, String roleConfigGroupName, String serviceName, ApiCallback<ApiRoleConfigGroup> callback)` Returns the information for a role config group.
    `okhttp3.Call` | `readRoleConfigGroupCall(String clusterName, String roleConfigGroupName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readRoleConfigGroup
    `ApiRoleConfigGroupList` | `readRoleConfigGroups(String clusterName, String serviceName)` Returns the information for all role config groups for a given cluster and service.
    `okhttp3.Call` | `readRoleConfigGroupsAsync(String clusterName, String serviceName, ApiCallback<ApiRoleConfigGroupList> callback)` Returns the information for all role config groups for a given cluster and service.
    `okhttp3.Call` | `readRoleConfigGroupsCall(String clusterName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readRoleConfigGroups
    `ApiResponse<ApiRoleConfigGroupList>` | `readRoleConfigGroupsWithHttpInfo(String clusterName, String serviceName)` Returns the information for all role config groups for a given cluster and service.
    `ApiResponse<ApiRoleConfigGroup>` | `readRoleConfigGroupWithHttpInfo(String clusterName, String roleConfigGroupName, String serviceName)` Returns the information for a role config group.
    `ApiRoleList` | `readRoles(String clusterName, String roleConfigGroupName, String serviceName)` Returns all roles in the given role config group.
    `okhttp3.Call` | `readRolesAsync(String clusterName, String roleConfigGroupName, String serviceName, ApiCallback<ApiRoleList> callback)` Returns all roles in the given role config group.
    `okhttp3.Call` | `readRolesCall(String clusterName, String roleConfigGroupName, String serviceName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readRoles
    `ApiResponse<ApiRoleList>` | `readRolesWithHttpInfo(String clusterName, String roleConfigGroupName, String serviceName)` Returns all roles in the given role config group.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiConfigList` | `updateConfig(String clusterName, String roleConfigGroupName, String serviceName, ApiConfigList body, String message)` Updates the config for the given role config group.
    `okhttp3.Call` | `updateConfigAsync(String clusterName, String roleConfigGroupName, String serviceName, ApiConfigList body, String message, ApiCallback<ApiConfigList> callback)` Updates the config for the given role config group.
    `okhttp3.Call` | `updateConfigCall(String clusterName, String roleConfigGroupName, String serviceName, ApiConfigList body, String message, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateConfig
    `ApiResponse<ApiConfigList>` | `updateConfigWithHttpInfo(String clusterName, String roleConfigGroupName, String serviceName, ApiConfigList body, String message)` Updates the config for the given role config group.
    `ApiRoleConfigGroup` | `updateRoleConfigGroup(String clusterName, String roleConfigGroupName, String serviceName, ApiRoleConfigGroup body, String message)` Updates an existing role config group.
    `okhttp3.Call` | `updateRoleConfigGroupAsync(String clusterName, String roleConfigGroupName, String serviceName, ApiRoleConfigGroup body, String message, ApiCallback<ApiRoleConfigGroup> callback)` Updates an existing role config group.
    `okhttp3.Call` | `updateRoleConfigGroupCall(String clusterName, String roleConfigGroupName, String serviceName, ApiRoleConfigGroup body, String message, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateRoleConfigGroup
    `ApiResponse<ApiRoleConfigGroup>` | `updateRoleConfigGroupWithHttpInfo(String clusterName, String roleConfigGroupName, String serviceName, ApiRoleConfigGroup body, String message)` Updates an existing role config group.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleConfigGroupsResourceApi

          public RoleConfigGroupsResourceApi()

    - #### RoleConfigGroupsResourceApi

          public RoleConfigGroupsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### createRoleConfigGroupsCall

          public okhttp3.Call createRoleConfigGroupsCall(String clusterName,
                                                         String serviceName,
                                                         ApiRoleConfigGroupList body,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for createRoleConfigGroups
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The list of groups to be created. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createRoleConfigGroups

          public ApiRoleConfigGroupList createRoleConfigGroups(String clusterName,
                                                               String serviceName,
                                                               ApiRoleConfigGroupList body)
                                                        throws ApiException

      Creates new role config groups. Creates new role config groups. It is not allowed to create base groups (base must be set to false.) <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The list of groups to be created. (optional)
      Returns:
        ApiRoleConfigGroupList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createRoleConfigGroupsWithHttpInfo

          public ApiResponse<ApiRoleConfigGroupList> createRoleConfigGroupsWithHttpInfo(String clusterName,
                                                                                        String serviceName,
                                                                                        ApiRoleConfigGroupList body)
                                                                                 throws ApiException

      Creates new role config groups. Creates new role config groups. It is not allowed to create base groups (base must be set to false.) <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The list of groups to be created. (optional)
      Returns:
        ApiResponse<ApiRoleConfigGroupList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createRoleConfigGroupsAsync

          public okhttp3.Call createRoleConfigGroupsAsync(String clusterName,
                                                          String serviceName,
                                                          ApiRoleConfigGroupList body,
                                                          ApiCallback<ApiRoleConfigGroupList> callback)
                                                   throws ApiException

      Creates new role config groups. (asynchronously) Creates new role config groups. It is not allowed to create base groups (base must be set to false.) <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The list of groups to be created. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteRoleConfigGroupCall

          public okhttp3.Call deleteRoleConfigGroupCall(String clusterName,
                                                        String roleConfigGroupName,
                                                        String serviceName,
                                                        ProgressResponseBody.ProgressListener progressListener,
                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                 throws ApiException

      Build call for deleteRoleConfigGroup
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the group to delete. (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteRoleConfigGroup

          public ApiRoleConfigGroup deleteRoleConfigGroup(String clusterName,
                                                          String roleConfigGroupName,
                                                          String serviceName)
                                                   throws ApiException

      Deletes a role config group. Deletes a role config group. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the group to delete. (required)
        `serviceName` - (required)
      Returns:
        ApiRoleConfigGroup
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteRoleConfigGroupWithHttpInfo

          public ApiResponse<ApiRoleConfigGroup> deleteRoleConfigGroupWithHttpInfo(String clusterName,
                                                                                   String roleConfigGroupName,
                                                                                   String serviceName)
                                                                            throws ApiException

      Deletes a role config group. Deletes a role config group. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the group to delete. (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<ApiRoleConfigGroup>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteRoleConfigGroupAsync

          public okhttp3.Call deleteRoleConfigGroupAsync(String clusterName,
                                                         String roleConfigGroupName,
                                                         String serviceName,
                                                         ApiCallback<ApiRoleConfigGroup> callback)
                                                  throws ApiException

      Deletes a role config group. (asynchronously) Deletes a role config group. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the group to delete. (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### moveRolesCall

          public okhttp3.Call moveRolesCall(String clusterName,
                                            String roleConfigGroupName,
                                            String serviceName,
                                            ApiRoleNameList body,
                                            ProgressResponseBody.ProgressListener progressListener,
                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                     throws ApiException

      Build call for moveRoles
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the group the roles will be moved to. (required)
        `serviceName` - (required)
        `body` - The names of the roles to move. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### moveRoles

          public ApiRoleList moveRoles(String clusterName,
                                       String roleConfigGroupName,
                                       String serviceName,
                                       ApiRoleNameList body)
                                throws ApiException

      Moves roles to the specified role config group. Moves roles to the specified role config group. The roles can be moved from any role config group belonging to the same service. The role type of the destination group must match the role type of the roles. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the group the roles will be moved to. (required)
        `serviceName` - (required)
        `body` - The names of the roles to move. (optional)
      Returns:
        ApiRoleList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### moveRolesWithHttpInfo

          public ApiResponse<ApiRoleList> moveRolesWithHttpInfo(String clusterName,
                                                                String roleConfigGroupName,
                                                                String serviceName,
                                                                ApiRoleNameList body)
                                                         throws ApiException

      Moves roles to the specified role config group. Moves roles to the specified role config group. The roles can be moved from any role config group belonging to the same service. The role type of the destination group must match the role type of the roles. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the group the roles will be moved to. (required)
        `serviceName` - (required)
        `body` - The names of the roles to move. (optional)
      Returns:
        ApiResponse<ApiRoleList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### moveRolesAsync

          public okhttp3.Call moveRolesAsync(String clusterName,
                                             String roleConfigGroupName,
                                             String serviceName,
                                             ApiRoleNameList body,
                                             ApiCallback<ApiRoleList> callback)
                                      throws ApiException

      Moves roles to the specified role config group. (asynchronously) Moves roles to the specified role config group. The roles can be moved from any role config group belonging to the same service. The role type of the destination group must match the role type of the roles. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the group the roles will be moved to. (required)
        `serviceName` - (required)
        `body` - The names of the roles to move. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### moveRolesToBaseGroupCall

          public okhttp3.Call moveRolesToBaseGroupCall(String clusterName,
                                                       String serviceName,
                                                       ApiRoleNameList body,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for moveRolesToBaseGroup
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles to move. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### moveRolesToBaseGroup

          public ApiRoleList moveRolesToBaseGroup(String clusterName,
                                                  String serviceName,
                                                  ApiRoleNameList body)
                                           throws ApiException

      Moves roles to the base role config group. Moves roles to the base role config group. The roles can be moved from any role config group belonging to the same service. The role type of the roles may vary. Each role will be moved to its corresponding base group depending on its role type. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles to move. (optional)
      Returns:
        ApiRoleList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### moveRolesToBaseGroupWithHttpInfo

          public ApiResponse<ApiRoleList> moveRolesToBaseGroupWithHttpInfo(String clusterName,
                                                                           String serviceName,
                                                                           ApiRoleNameList body)
                                                                    throws ApiException

      Moves roles to the base role config group. Moves roles to the base role config group. The roles can be moved from any role config group belonging to the same service. The role type of the roles may vary. Each role will be moved to its corresponding base group depending on its role type. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles to move. (optional)
      Returns:
        ApiResponse<ApiRoleList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### moveRolesToBaseGroupAsync

          public okhttp3.Call moveRolesToBaseGroupAsync(String clusterName,
                                                        String serviceName,
                                                        ApiRoleNameList body,
                                                        ApiCallback<ApiRoleList> callback)
                                                 throws ApiException

      Moves roles to the base role config group. (asynchronously) Moves roles to the base role config group. The roles can be moved from any role config group belonging to the same service. The role type of the roles may vary. Each role will be moved to its corresponding base group depending on its role type. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `body` - The names of the roles to move. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readConfigCall

          public okhttp3.Call readConfigCall(String clusterName,
                                             String roleConfigGroupName,
                                             String serviceName,
                                             String view,
                                             ProgressResponseBody.ProgressListener progressListener,
                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                      throws ApiException

      Build call for readConfig
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the role config group. (required)
        `serviceName` - (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readConfig

          public ApiConfigList readConfig(String clusterName,
                                          String roleConfigGroupName,
                                          String serviceName,
                                          String view)
                                   throws ApiException

      Returns the current revision of the config for the specified role config group. Returns the current revision of the config for the specified role config group. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the role config group. (required)
        `serviceName` - (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiConfigList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readConfigWithHttpInfo

          public ApiResponse<ApiConfigList> readConfigWithHttpInfo(String clusterName,
                                                                   String roleConfigGroupName,
                                                                   String serviceName,
                                                                   String view)
                                                            throws ApiException

      Returns the current revision of the config for the specified role config group. Returns the current revision of the config for the specified role config group. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the role config group. (required)
        `serviceName` - (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiConfigList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readConfigAsync

          public okhttp3.Call readConfigAsync(String clusterName,
                                              String roleConfigGroupName,
                                              String serviceName,
                                              String view,
                                              ApiCallback<ApiConfigList> callback)
                                       throws ApiException

      Returns the current revision of the config for the specified role config group. (asynchronously) Returns the current revision of the config for the specified role config group. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the role config group. (required)
        `serviceName` - (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readRoleConfigGroupCall

          public okhttp3.Call readRoleConfigGroupCall(String clusterName,
                                                      String roleConfigGroupName,
                                                      String serviceName,
                                                      ProgressResponseBody.ProgressListener progressListener,
                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                               throws ApiException

      Build call for readRoleConfigGroup
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the requested group. (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readRoleConfigGroup

          public ApiRoleConfigGroup readRoleConfigGroup(String clusterName,
                                                        String roleConfigGroupName,
                                                        String serviceName)
                                                 throws ApiException

      Returns the information for a role config group. Returns the information for a role config group. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the requested group. (required)
        `serviceName` - (required)
      Returns:
        ApiRoleConfigGroup
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRoleConfigGroupWithHttpInfo

          public ApiResponse<ApiRoleConfigGroup> readRoleConfigGroupWithHttpInfo(String clusterName,
                                                                                 String roleConfigGroupName,
                                                                                 String serviceName)
                                                                          throws ApiException

      Returns the information for a role config group. Returns the information for a role config group. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the requested group. (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<ApiRoleConfigGroup>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRoleConfigGroupAsync

          public okhttp3.Call readRoleConfigGroupAsync(String clusterName,
                                                       String roleConfigGroupName,
                                                       String serviceName,
                                                       ApiCallback<ApiRoleConfigGroup> callback)
                                                throws ApiException

      Returns the information for a role config group. (asynchronously) Returns the information for a role config group. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the requested group. (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readRoleConfigGroupsCall

          public okhttp3.Call readRoleConfigGroupsCall(String clusterName,
                                                       String serviceName,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for readRoleConfigGroups
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readRoleConfigGroups

          public ApiRoleConfigGroupList readRoleConfigGroups(String clusterName,
                                                             String serviceName)
                                                      throws ApiException

      Returns the information for all role config groups for a given cluster and service. Returns the information for all role config groups for a given cluster and service. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
      Returns:
        ApiRoleConfigGroupList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRoleConfigGroupsWithHttpInfo

          public ApiResponse<ApiRoleConfigGroupList> readRoleConfigGroupsWithHttpInfo(String clusterName,
                                                                                      String serviceName)
                                                                               throws ApiException

      Returns the information for all role config groups for a given cluster and service. Returns the information for all role config groups for a given cluster and service. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<ApiRoleConfigGroupList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRoleConfigGroupsAsync

          public okhttp3.Call readRoleConfigGroupsAsync(String clusterName,
                                                        String serviceName,
                                                        ApiCallback<ApiRoleConfigGroupList> callback)
                                                 throws ApiException

      Returns the information for all role config groups for a given cluster and service. (asynchronously) Returns the information for all role config groups for a given cluster and service. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readRolesCall

          public okhttp3.Call readRolesCall(String clusterName,
                                            String roleConfigGroupName,
                                            String serviceName,
                                            ProgressResponseBody.ProgressListener progressListener,
                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                     throws ApiException

      Build call for readRoles
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the role config group. (required)
        `serviceName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readRoles

          public ApiRoleList readRoles(String clusterName,
                                       String roleConfigGroupName,
                                       String serviceName)
                                throws ApiException

      Returns all roles in the given role config group. Returns all roles in the given role config group. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the role config group. (required)
        `serviceName` - (required)
      Returns:
        ApiRoleList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRolesWithHttpInfo

          public ApiResponse<ApiRoleList> readRolesWithHttpInfo(String clusterName,
                                                                String roleConfigGroupName,
                                                                String serviceName)
                                                         throws ApiException

      Returns all roles in the given role config group. Returns all roles in the given role config group. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the role config group. (required)
        `serviceName` - (required)
      Returns:
        ApiResponse<ApiRoleList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRolesAsync

          public okhttp3.Call readRolesAsync(String clusterName,
                                             String roleConfigGroupName,
                                             String serviceName,
                                             ApiCallback<ApiRoleList> callback)
                                      throws ApiException

      Returns all roles in the given role config group. (asynchronously) Returns all roles in the given role config group. <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the role config group. (required)
        `serviceName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateConfigCall

          public okhttp3.Call updateConfigCall(String clusterName,
                                               String roleConfigGroupName,
                                               String serviceName,
                                               ApiConfigList body,
                                               String message,
                                               ProgressResponseBody.ProgressListener progressListener,
                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                        throws ApiException

      Build call for updateConfig
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the role config group. (required)
        `serviceName` - (required)
        `body` - The new config information for the group. (optional)
        `message` - Optional message describing the changes. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateConfig

          public ApiConfigList updateConfig(String clusterName,
                                            String roleConfigGroupName,
                                            String serviceName,
                                            ApiConfigList body,
                                            String message)
                                     throws ApiException

      Updates the config for the given role config group. Updates the config for the given role config group.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the role config group. (required)
        `serviceName` - (required)
        `body` - The new config information for the group. (optional)
        `message` - Optional message describing the changes. (optional)
      Returns:
        ApiConfigList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateConfigWithHttpInfo

          public ApiResponse<ApiConfigList> updateConfigWithHttpInfo(String clusterName,
                                                                     String roleConfigGroupName,
                                                                     String serviceName,
                                                                     ApiConfigList body,
                                                                     String message)
                                                              throws ApiException

      Updates the config for the given role config group. Updates the config for the given role config group.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the role config group. (required)
        `serviceName` - (required)
        `body` - The new config information for the group. (optional)
        `message` - Optional message describing the changes. (optional)
      Returns:
        ApiResponse<ApiConfigList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateConfigAsync

          public okhttp3.Call updateConfigAsync(String clusterName,
                                                String roleConfigGroupName,
                                                String serviceName,
                                                ApiConfigList body,
                                                String message,
                                                ApiCallback<ApiConfigList> callback)
                                         throws ApiException

      Updates the config for the given role config group. (asynchronously) Updates the config for the given role config group.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the role config group. (required)
        `serviceName` - (required)
        `body` - The new config information for the group. (optional)
        `message` - Optional message describing the changes. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateRoleConfigGroupCall

          public okhttp3.Call updateRoleConfigGroupCall(String clusterName,
                                                        String roleConfigGroupName,
                                                        String serviceName,
                                                        ApiRoleConfigGroup body,
                                                        String message,
                                                        ProgressResponseBody.ProgressListener progressListener,
                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                 throws ApiException

      Build call for updateRoleConfigGroup
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the group to update. (required)
        `serviceName` - (required)
        `body` - The updated role config group. (optional)
        `message` - The optional message describing the changes. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateRoleConfigGroup

          public ApiRoleConfigGroup updateRoleConfigGroup(String clusterName,
                                                          String roleConfigGroupName,
                                                          String serviceName,
                                                          ApiRoleConfigGroup body,
                                                          String message)
                                                   throws ApiException

      Updates an existing role config group. Updates an existing role config group <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the group to update. (required)
        `serviceName` - (required)
        `body` - The updated role config group. (optional)
        `message` - The optional message describing the changes. (optional)
      Returns:
        ApiRoleConfigGroup
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateRoleConfigGroupWithHttpInfo

          public ApiResponse<ApiRoleConfigGroup> updateRoleConfigGroupWithHttpInfo(String clusterName,
                                                                                   String roleConfigGroupName,
                                                                                   String serviceName,
                                                                                   ApiRoleConfigGroup body,
                                                                                   String message)
                                                                            throws ApiException

      Updates an existing role config group. Updates an existing role config group <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the group to update. (required)
        `serviceName` - (required)
        `body` - The updated role config group. (optional)
        `message` - The optional message describing the changes. (optional)
      Returns:
        ApiResponse<ApiRoleConfigGroup>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateRoleConfigGroupAsync

          public okhttp3.Call updateRoleConfigGroupAsync(String clusterName,
                                                         String roleConfigGroupName,
                                                         String serviceName,
                                                         ApiRoleConfigGroup body,
                                                         String message,
                                                         ApiCallback<ApiRoleConfigGroup> callback)
                                                  throws ApiException

      Updates an existing role config group. (asynchronously) Updates an existing role config group <p> Available since API v3.
      Parameters:
        `clusterName` - (required)
        `roleConfigGroupName` - The name of the group to update. (required)
        `serviceName` - (required)
        `body` - The updated role config group. (optional)
        `message` - The optional message describing the changes. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.